<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995-7 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>C Programming Notes</title>
</head>
<body>
<H1>C Programming Notes</H1>






<B>Introductory C Programming
Class Notes, Chapter 1
</B><br>
<br>
Steve Summit
<br>
<br>
<p>These notes are part of the
UW <a href="http://www.eskimo.com/~scs/expcoll/">Experimental College</a>
course on
Introductory C Programming.
They are based on notes prepared (beginning in Spring, 1995)
to supplement the book
<I>The C Programming Language</I>,
by Brian Kernighan and Dennis Ritchie,
or K&amp;R as
the book and its authors are affectionately known.
(The second edition was published in 1988 by Prentice-Hall, 
ISBN 0-13-110362-8.)
These notes are now (as of Winter, 1995-6)
intended to be stand-alone,
although
the
sections are still cross-referenced to those of K&amp;R,
for the reader who wants to pursue a more in-depth exposition.

</p><hr>
<p><a href="sx1.html" rel=subdocument>Chapter 1: Introduction</a></p>
<p><a href="sx2.html" rel=subdocument>Chapter 2: Basic Data Types and Operators</a></p>
<p><a href="sx3.html" rel=subdocument>Chapter 3: Statements and Control Flow</a></p>
<p><a href="sx4.html" rel=subdocument>Chapter 4: More about Declarations (and Initialization)</a></p>
<p><a href="sx5.html" rel=subdocument>Chapter 5: Functions and Program Structure</a></p>
<p><a href="sx6.html" rel=subdocument>Chapter 6: Basic I/O</a></p>
<p><a href="sx7.html" rel=subdocument>Chapter 7: More Operators</a></p>
<p><a href="sx8.html" rel=subdocument>Chapter 8: Strings</a></p>
<p><a href="sx9.html" rel=subdocument>Chapter 9: The C Preprocessor</a></p>
<p><a href="sx10.html" rel=subdocument>Chapter 10: Pointers</a></p>
<p><a href="sx11.html" rel=subdocument>Chapter 11: Memory Allocation</a></p>
<p><a href="sx12.html" rel=subdocument>Chapter 12: Input and Output</a></p>
<p><a href="sx13.html" rel=subdocument>Chapter 13: Reading the Command Line</a></p>
<p><a href="sx14.html" rel=subdocument>Chapter 14: What's Next?</a></p>
<hr>
<p>
<a href="sx1.html" rel=precedes>Read Sequentially</a>
<hr>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995-1997
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
